Subject: bug#55425: closed (Re: bug#55425: ISO image's installer can't connect to guix.gnu.org)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jun 2022 20:58:02 +0000

Your bug report

#55425: ISO image's installer can't connect to guix.gnu.org

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55425: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55425
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55425: ISO image's installer can't connect to guix.gnu.org
From: Maxim Cournoyer <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: Matkovsky88 <[email-masked]>, [email-masked]
Date: Thu, 09 Jun 2022 16:57:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxime Devos <[email-masked]> writes:

> Matkovsky88 via Bug reports for GNU Guix schreef op zo 15-05-2022 om
> 04:57 [+0000]:
>> Or when will GNU Guix unban russian IPs? 
>
> It's not Guix itself but rather the datacenter where the machines are
> hosted: <https://lists.gnu.org/archive/html/help-guix/2022-03/msg00019.html>
>
> Greetings,
> Maxime

Indeed; while not a very satisfying situation, using a VPN may be your
best bet.  I hear there also is a mirror in China that may work for you,
although I have never used it myself.

Closing for now as there's little that can be done at the moment.
Hopefully this motivates people to pick up work on enabling peer-to-peer
substitutes via GNUnet!

Thanks,

Maxim

Subject: ISO image's installer can't connect to guix.gnu.org
From: Matkovsky88 <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 15 May 2022 04:57:53 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello. I cannot access GNU Guix related sites. I tried downloaded the GNU Guix System via VPN, but I can't install it on my ThinkPad because installer can't connect to the Guix's servers (such as guix.gnu.org or ci.guix.gnu.org), because all russian IPs was banned. I tried installing old images, but that doesn't help. I wrote to [email-masked] and to IRC's channel #guix, but they couldn't help me. Also, I can connect (without VPN) to all GNU and FSF sites, except the GNU Guix's sites.

Can you tell me how I can install it? Or when will GNU Guix unban russian IPs? I don't know what I should to do.

P.S. I really want to try the GNU Guix System with GNU Guix and GNU Shepherd because I don't really like Trisquel (has systemd), which I use.